info.bioinfweb.jphyloio.formats.xtg

## Interface XTGConstants

- All Known Implementing Classes:
    XTGEventReader, XTGFactory, XTGFormattedTextElementReader

      public interface XTGConstants

  Defines constants necessary to read XTG files.
  Author:
    Sarah Wiechers, Ben Stöver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALIGN_LEFT`
    `static java.lang.String` | `ALIGN_RIGHT`
    `static java.lang.String` | `ALIGN_TREE_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_ADAPTER_ID`
    `static javax.xml.namespace.QName` | `ATTR_ADAPTER_NAME`
    `static javax.xml.namespace.QName` | `ATTR_ADAPTER_PURPOSE`
    `static javax.xml.namespace.QName` | `ATTR_ALIGN_TO_SUBTREE`
    `static javax.xml.namespace.QName` | `ATTR_ANCHOR_0`
    `static javax.xml.namespace.QName` | `ATTR_ANCHOR_1`
    `static javax.xml.namespace.QName` | `ATTR_BG_COLOR`
    `static javax.xml.namespace.QName` | `ATTR_BOTTOM`
    `static javax.xml.namespace.QName` | `ATTR_BRANCH_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_BRANCH_LENGTH_SCALE`
    `static javax.xml.namespace.QName` | `ATTR_CAPTION_LINK_TYPE`
    `static javax.xml.namespace.QName` | `ATTR_CAPTION_TYPE`
    `static javax.xml.namespace.QName` | `ATTR_CONSTANT_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_DECIMAL_FORMAT`
    `static javax.xml.namespace.QName` | `ATTR_EDGE_RADIUS`
    `static javax.xml.namespace.QName` | `ATTR_FONT_FAMILY`
    `static javax.xml.namespace.QName` | `ATTR_HEIGHT`
    `static javax.xml.namespace.QName` | `ATTR_ICON`
    `static javax.xml.namespace.QName` | `ATTR_ICON_FILLED`
    `static javax.xml.namespace.QName` | `ATTR_ICON_HEIGHT`
    `static javax.xml.namespace.QName` | `ATTR_ICON_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_ID`
    `static javax.xml.namespace.QName` | `ATTR_LABEL_ABOVE`
    `static javax.xml.namespace.QName` | `ATTR_LABEL_HEIGHT`
    `static javax.xml.namespace.QName` | `ATTR_LABEL_SPACING`
    `static javax.xml.namespace.QName` | `ATTR_LABEL_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_LEFT`
    `static javax.xml.namespace.QName` | `ATTR_LEGEND_POS`
    `static javax.xml.namespace.QName` | `ATTR_LEGEND_SPACING`
    `static javax.xml.namespace.QName` | `ATTR_LEGEND_STYLE`
    `static javax.xml.namespace.QName` | `ATTR_LINE_COLOR`
    `static javax.xml.namespace.QName` | `ATTR_LINE_NO`
    `static javax.xml.namespace.QName` | `ATTR_LINE_POS`
    `static javax.xml.namespace.QName` | `ATTR_LINE_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_LOCALE_COUNTRY`
    `static javax.xml.namespace.QName` | `ATTR_LOCALE_LANG`
    `static javax.xml.namespace.QName` | `ATTR_LOCALE_VARIANT`
    `static javax.xml.namespace.QName` | `ATTR_MIN_BRANCH_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_MIN_SPACE_ABOVE`
    `static javax.xml.namespace.QName` | `ATTR_MIN_SPACE_BELOW`
    `static javax.xml.namespace.QName` | `ATTR_MIN_TREE_DISTANCE`
    `static javax.xml.namespace.QName` | `ATTR_PIE_CAPTION`
    `static javax.xml.namespace.QName` | `ATTR_PIE_COLOR`
    `static javax.xml.namespace.QName` | `ATTR_POSITION_LABELS_TO_LEFT`
    `static javax.xml.namespace.QName` | `ATTR_RIGHT`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_ALIGN`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_DISTANCE`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_HEIGHT`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_INCREASE`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_LONG_INTERVAL`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_SMALL_INTERVAL`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_START`
    `static javax.xml.namespace.QName` | `ATTR_SCALE_BAR_WIDTH`
    `static javax.xml.namespace.QName` | `ATTR_SHOW_INTERNAL_LINES`
    `static javax.xml.namespace.QName` | `ATTR_SHOW_NULL_LINES`
    `static javax.xml.namespace.QName` | `ATTR_SHOW_ROOTED`
    `static javax.xml.namespace.QName` | `ATTR_SHOW_SCALE_BAR`
    `static javax.xml.namespace.QName` | `ATTR_SHOW_TITLE`
    `static javax.xml.namespace.QName` | `ATTR_TEXT`
    `static javax.xml.namespace.QName` | `ATTR_TEXT_COLOR`
    `static javax.xml.namespace.QName` | `ATTR_TEXT_HEIGHT`
    `static javax.xml.namespace.QName` | `ATTR_TEXT_IS_DECIMAL`
    `static javax.xml.namespace.QName` | `ATTR_TEXT_ORIENTATION`
    `static javax.xml.namespace.QName` | `ATTR_TEXT_STYLE`
    `static javax.xml.namespace.QName` | `ATTR_TOP`
    `static javax.xml.namespace.QName` | `ATTR_UNIQUE_NAME`
    `static javax.xml.namespace.QName` | `ATTR_WIDTH`
    `static java.lang.String` | `BRANCH_LENGTH_UNITS`
    `static javax.xml.namespace.QName` | `DATA_TYPE_COLOR`
    `static javax.xml.namespace.QName` | `DATA_TYPE_LEGEND_STYLE`
    `static javax.xml.namespace.QName` | `DATA_TYPE_PIE_CHART_LABEL_CAPTION_LINK_TYPE`
    `static javax.xml.namespace.QName` | `DATA_TYPE_PIE_CHART_LABEL_CAPTION_TYPE`
    `static javax.xml.namespace.QName` | `DATA_TYPE_SCALE_BAR_ALIGNMENT`
    `static javax.xml.namespace.QName` | `DATA_TYPE_SCALE_VALUE`
    `static javax.xml.namespace.QName` | `DATA_TYPE_TEXT_ORIENTATION`
    `static java.lang.String` | `DEPRECATED_VALUE_LEAVES_ADAPTER`
    `static java.lang.String` | `FULL_SCHEMA_LOCATION`
    `static java.lang.String` | `MILLIMETERS`
    `static java.lang.String` | `NAMESPACE_URI`
    `static java.lang.String` | `ORIENT_DOWN`
    `static java.lang.String` | `ORIENT_HORIZONTAL`
    `static java.lang.String` | `ORIENT_UP`
    `static java.lang.String` | `PRE_LEGEND_ANCHOR`
    `static javax.xml.namespace.QName` | `PREDICATE_BRANCH_CONSTANT_WIDTH`
    `static javax.xml.namespace.QName` | `PREDICATE_BRANCH_MIN_LENGTH`
    `static javax.xml.namespace.QName` | `PREDICATE_BRANCH_MIN_SPACE_ABOVE`
    `static javax.xml.namespace.QName` | `PREDICATE_BRANCH_MIN_SPACE_BELOW`
    `static javax.xml.namespace.QName` | `PREDICATE_COLUMN_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_DATA_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_DATA_ID_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_DATA_IDS`
    `static javax.xml.namespace.QName` | `PREDICATE_DECIMAL_FORMAT`
    `static javax.xml.namespace.QName` | `PREDICATE_DOCUMENT_MARGIN`
    `static javax.xml.namespace.QName` | `PREDICATE_EDGE_RADIUS`
    `static javax.xml.namespace.QName` | `PREDICATE_FONT_FAMILY`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_ALIGN_TO_SUBTREE`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_BG_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_BRANCH_LENGTH_SCALE`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_POSITION_LABELS_TO_LEFT`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_SHOW_ROOTED`
    `static javax.xml.namespace.QName` | `PREDICATE_GLOBAL_FORMATS_SHOW_SCALE_BAR`
    `static javax.xml.namespace.QName` | `PREDICATE_HEIGHT`
    `static javax.xml.namespace.QName` | `PREDICATE_ICON_LABEL`
    `static javax.xml.namespace.QName` | `PREDICATE_ICON_LABEL_ICON`
    `static javax.xml.namespace.QName` | `PREDICATE_ICON_LABEL_ICON_FILLED`
    `static javax.xml.namespace.QName` | `PREDICATE_INVISIBLE_DATA`
    `static javax.xml.namespace.QName` | `PREDICATE_IS_DECIMAL`
    `static javax.xml.namespace.QName` | `PREDICATE_LABEL_ABOVE`
    `static javax.xml.namespace.QName` | `PREDICATE_LABEL_LINE_NO`
    `static javax.xml.namespace.QName` | `PREDICATE_LABEL_LINE_POS`
    `static javax.xml.namespace.QName` | `PREDICATE_LABEL_MARGIN`
    `static javax.xml.namespace.QName` | `PREDICATE_LEAF_MARGIN`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_ANCHOR_0`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_ANCHOR_1`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_MARGIN`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_MIN_TREE_DISTANCE`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_ORIENTATION`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_POSITION`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_SPACING`
    `static javax.xml.namespace.QName` | `PREDICATE_LEGEND_STYLE`
    `static javax.xml.namespace.QName` | `PREDICATE_LINE_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_LINE_WIDTH`
    `static javax.xml.namespace.QName` | `PREDICATE_LOCALE_COUNTRY`
    `static javax.xml.namespace.QName` | `PREDICATE_LOCALE_LANG`
    `static javax.xml.namespace.QName` | `PREDICATE_LOCALE_VARIANT`
    `static javax.xml.namespace.QName` | `PREDICATE_MARGIN_BOTTOM`
    `static javax.xml.namespace.QName` | `PREDICATE_MARGIN_LEFT`
    `static javax.xml.namespace.QName` | `PREDICATE_MARGIN_RIGHT`
    `static javax.xml.namespace.QName` | `PREDICATE_MARGIN_TOP`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_BRANCH_DATA_ADAPTERS`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_PURPOSE`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_UNIQUE_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CAPTION`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL_CAPTION_LINK_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL_CAPTION_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL_INTERNAL_LINES`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL_NULL_LINES`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_CHART_LABEL_SHOW_TITLE`
    `static javax.xml.namespace.QName` | `PREDICATE_PIE_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_ALIGN`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_INCREASING`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_LONG_INTERVAL`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_SMALL_INTERVAL`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_START_LEFT`
    `static javax.xml.namespace.QName` | `PREDICATE_SCALE_BAR_TREE_DISTANCE`
    `static javax.xml.namespace.QName` | `PREDICATE_TEXT`
    `static javax.xml.namespace.QName` | `PREDICATE_TEXT_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_TEXT_HEIGHT`
    `static javax.xml.namespace.QName` | `PREDICATE_TEXT_LABEL`
    `static javax.xml.namespace.QName` | `PREDICATE_TEXT_STYLE`
    `static javax.xml.namespace.QName` | `PREDICATE_WIDTH`
    `static java.lang.String` | `STYLE_BOLD`
    `static java.lang.String` | `STYLE_BRACE`
    `static java.lang.String` | `STYLE_BRACKET`
    `static java.lang.String` | `STYLE_ITALIC`
    `static java.lang.String` | `STYLE_UNDERLINE`
    `static javax.xml.namespace.QName` | `TAG_ADAPTER`
    `static javax.xml.namespace.QName` | `TAG_BRANCH`
    `static javax.xml.namespace.QName` | `TAG_DOCUMENT_MARGIN`
    `static javax.xml.namespace.QName` | `TAG_GLOBAL_FORMATS`
    `static javax.xml.namespace.QName` | `TAG_HIDDEN_DATA`
    `static javax.xml.namespace.QName` | `TAG_ICON_LABEL`
    `static javax.xml.namespace.QName` | `TAG_LABEL_MARGIN`
    `static javax.xml.namespace.QName` | `TAG_LEAF_MARGIN`
    `static javax.xml.namespace.QName` | `TAG_LEGEND`
    `static javax.xml.namespace.QName` | `TAG_LEGEND_MARGIN`
    `static javax.xml.namespace.QName` | `TAG_NODE`
    `static javax.xml.namespace.QName` | `TAG_NODE_BRANCH_DATA_ADAPTERS`
    `static javax.xml.namespace.QName` | `TAG_PIE_CHART_ID`
    `static javax.xml.namespace.QName` | `TAG_PIE_CHART_IDS`
    `static javax.xml.namespace.QName` | `TAG_PIE_CHART_LABEL`
    `static javax.xml.namespace.QName` | `TAG_ROOT`
    `static javax.xml.namespace.QName` | `TAG_SCALE_BAR`
    `static javax.xml.namespace.QName` | `TAG_TEXT_LABEL`
    `static javax.xml.namespace.QName` | `TAG_TREE`
    `static java.lang.String` | `VALUE_ADAPTER_PURPOSE_PREFIX`
    `static java.lang.String` | `VALUE_LEAVES_ADAPTER`
    `static java.lang.String` | `VALUE_SUPPORT_VALUES_ADAPTER`
    `static java.lang.String` | `VERSION`
    `static java.lang.String` | `XTG`
    `static java.lang.String` | `XTG_DATA_TYPE_NAMESPACE`
    `static java.lang.String` | `XTG_FORMAT_NAME`
    `static java.lang.String` | `XTG_NAMESPACE_PREFIX`
    `static java.lang.String` | `XTG_PREDICATE_NAMESPACE`

- - ### Field Detail

    - #### XTG_FORMAT_NAME

          static final java.lang.String XTG_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### XTG

          static final java.lang.String XTG

      See Also:
        Constant Field Values

    - #### NAMESPACE_URI

          static final java.lang.String NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### VERSION

          static final java.lang.String VERSION

      See Also:
        Constant Field Values

    - #### FULL_SCHEMA_LOCATION

          static final java.lang.String FULL_SCHEMA_LOCATION

      See Also:
        Constant Field Values

    - #### TAG_ROOT

          static final javax.xml.namespace.QName TAG_ROOT

    - #### TAG_GLOBAL_FORMATS

          static final javax.xml.namespace.QName TAG_GLOBAL_FORMATS

    - #### ATTR_BG_COLOR

          static final javax.xml.namespace.QName ATTR_BG_COLOR

    - #### TAG_DOCUMENT_MARGIN

          static final javax.xml.namespace.QName TAG_DOCUMENT_MARGIN

    - #### ATTR_BRANCH_LENGTH_SCALE

          static final javax.xml.namespace.QName ATTR_BRANCH_LENGTH_SCALE

    - #### ATTR_SHOW_SCALE_BAR

          static final javax.xml.namespace.QName ATTR_SHOW_SCALE_BAR

    - #### ATTR_SHOW_ROOTED

          static final javax.xml.namespace.QName ATTR_SHOW_ROOTED

    - #### ATTR_ALIGN_TO_SUBTREE

          static final javax.xml.namespace.QName ATTR_ALIGN_TO_SUBTREE

    - #### ATTR_POSITION_LABELS_TO_LEFT

          static final javax.xml.namespace.QName ATTR_POSITION_LABELS_TO_LEFT

    - #### TAG_NODE_BRANCH_DATA_ADAPTERS

          static final javax.xml.namespace.QName TAG_NODE_BRANCH_DATA_ADAPTERS

    - #### TAG_ADAPTER

          static final javax.xml.namespace.QName TAG_ADAPTER

    - #### ATTR_ADAPTER_NAME

          static final javax.xml.namespace.QName ATTR_ADAPTER_NAME

    - #### ATTR_ADAPTER_ID

          static final javax.xml.namespace.QName ATTR_ADAPTER_ID

    - #### ATTR_ADAPTER_PURPOSE

          static final javax.xml.namespace.QName ATTR_ADAPTER_PURPOSE

    - #### VALUE_ADAPTER_PURPOSE_PREFIX

          static final java.lang.String VALUE_ADAPTER_PURPOSE_PREFIX

      See Also:
        Constant Field Values

    - #### VALUE_LEAVES_ADAPTER

          static final java.lang.String VALUE_LEAVES_ADAPTER

      See Also:
        Constant Field Values

    - #### DEPRECATED_VALUE_LEAVES_ADAPTER

          static final java.lang.String DEPRECATED_VALUE_LEAVES_ADAPTER

      See Also:
        Constant Field Values

    - #### VALUE_SUPPORT_VALUES_ADAPTER

          static final java.lang.String VALUE_SUPPORT_VALUES_ADAPTER

      See Also:
        Constant Field Values

    - #### ATTR_WIDTH

          static final javax.xml.namespace.QName ATTR_WIDTH

    - #### ATTR_HEIGHT

          static final javax.xml.namespace.QName ATTR_HEIGHT

    - #### ATTR_LEFT

          static final javax.xml.namespace.QName ATTR_LEFT

    - #### ATTR_TOP

          static final javax.xml.namespace.QName ATTR_TOP

    - #### ATTR_RIGHT

          static final javax.xml.namespace.QName ATTR_RIGHT

    - #### ATTR_BOTTOM

          static final javax.xml.namespace.QName ATTR_BOTTOM

    - #### ATTR_TEXT

          static final javax.xml.namespace.QName ATTR_TEXT

    - #### ATTR_TEXT_IS_DECIMAL

          static final javax.xml.namespace.QName ATTR_TEXT_IS_DECIMAL

    - #### ATTR_DECIMAL_FORMAT

          static final javax.xml.namespace.QName ATTR_DECIMAL_FORMAT

    - #### ATTR_LOCALE_LANG

          static final javax.xml.namespace.QName ATTR_LOCALE_LANG

    - #### ATTR_LOCALE_COUNTRY

          static final javax.xml.namespace.QName ATTR_LOCALE_COUNTRY

    - #### ATTR_LOCALE_VARIANT

          static final javax.xml.namespace.QName ATTR_LOCALE_VARIANT

    - #### ATTR_TEXT_COLOR

          static final javax.xml.namespace.QName ATTR_TEXT_COLOR

    - #### ATTR_TEXT_HEIGHT

          static final javax.xml.namespace.QName ATTR_TEXT_HEIGHT

    - #### ATTR_TEXT_STYLE

          static final javax.xml.namespace.QName ATTR_TEXT_STYLE

    - #### ATTR_FONT_FAMILY

          static final javax.xml.namespace.QName ATTR_FONT_FAMILY

    - #### ATTR_LINE_COLOR

          static final javax.xml.namespace.QName ATTR_LINE_COLOR

    - #### ATTR_LINE_WIDTH

          static final javax.xml.namespace.QName ATTR_LINE_WIDTH

    - #### ATTR_ID

          static final javax.xml.namespace.QName ATTR_ID

    - #### TAG_TREE

          static final javax.xml.namespace.QName TAG_TREE

    - #### TAG_NODE

          static final javax.xml.namespace.QName TAG_NODE

    - #### ATTR_UNIQUE_NAME

          static final javax.xml.namespace.QName ATTR_UNIQUE_NAME

    - #### ATTR_EDGE_RADIUS

          static final javax.xml.namespace.QName ATTR_EDGE_RADIUS

    - #### TAG_LEAF_MARGIN

          static final javax.xml.namespace.QName TAG_LEAF_MARGIN

    - #### TAG_BRANCH

          static final javax.xml.namespace.QName TAG_BRANCH

    - #### ATTR_BRANCH_LENGTH

          static final javax.xml.namespace.QName ATTR_BRANCH_LENGTH

    - #### ATTR_CONSTANT_WIDTH

          static final javax.xml.namespace.QName ATTR_CONSTANT_WIDTH

    - #### ATTR_MIN_BRANCH_LENGTH

          static final javax.xml.namespace.QName ATTR_MIN_BRANCH_LENGTH

    - #### ATTR_MIN_SPACE_ABOVE

          static final javax.xml.namespace.QName ATTR_MIN_SPACE_ABOVE

    - #### ATTR_MIN_SPACE_BELOW

          static final javax.xml.namespace.QName ATTR_MIN_SPACE_BELOW

    - #### TAG_TEXT_LABEL

          static final javax.xml.namespace.QName TAG_TEXT_LABEL

    - #### TAG_ICON_LABEL

          static final javax.xml.namespace.QName TAG_ICON_LABEL

    - #### ATTR_LABEL_WIDTH

          static final javax.xml.namespace.QName ATTR_LABEL_WIDTH

    - #### ATTR_LABEL_HEIGHT

          static final javax.xml.namespace.QName ATTR_LABEL_HEIGHT

    - #### ATTR_LABEL_ABOVE

          static final javax.xml.namespace.QName ATTR_LABEL_ABOVE

    - #### ATTR_LINE_NO

          static final javax.xml.namespace.QName ATTR_LINE_NO

    - #### ATTR_LINE_POS

          static final javax.xml.namespace.QName ATTR_LINE_POS

    - #### STYLE_BOLD

          static final java.lang.String STYLE_BOLD

      See Also:
        Constant Field Values

    - #### STYLE_ITALIC

          static final java.lang.String STYLE_ITALIC

      See Also:
        Constant Field Values

    - #### STYLE_UNDERLINE

          static final java.lang.String STYLE_UNDERLINE

      See Also:
        Constant Field Values

    - #### ATTR_ICON

          static final javax.xml.namespace.QName ATTR_ICON

    - #### ATTR_ICON_WIDTH

          static final javax.xml.namespace.QName ATTR_ICON_WIDTH

    - #### ATTR_ICON_HEIGHT

          static final javax.xml.namespace.QName ATTR_ICON_HEIGHT

    - #### ATTR_ICON_FILLED

          static final javax.xml.namespace.QName ATTR_ICON_FILLED

    - #### ATTR_LABEL_SPACING

          static final javax.xml.namespace.QName ATTR_LABEL_SPACING

    - #### TAG_LABEL_MARGIN

          static final javax.xml.namespace.QName TAG_LABEL_MARGIN

    - #### TAG_PIE_CHART_LABEL

          static final javax.xml.namespace.QName TAG_PIE_CHART_LABEL

    - #### ATTR_SHOW_INTERNAL_LINES

          static final javax.xml.namespace.QName ATTR_SHOW_INTERNAL_LINES

    - #### ATTR_SHOW_NULL_LINES

          static final javax.xml.namespace.QName ATTR_SHOW_NULL_LINES

    - #### ATTR_SHOW_TITLE

          static final javax.xml.namespace.QName ATTR_SHOW_TITLE

    - #### ATTR_CAPTION_TYPE

          static final javax.xml.namespace.QName ATTR_CAPTION_TYPE

    - #### ATTR_CAPTION_LINK_TYPE

          static final javax.xml.namespace.QName ATTR_CAPTION_LINK_TYPE

    - #### TAG_PIE_CHART_IDS

          static final javax.xml.namespace.QName TAG_PIE_CHART_IDS

    - #### TAG_PIE_CHART_ID

          static final javax.xml.namespace.QName TAG_PIE_CHART_ID

    - #### ATTR_PIE_COLOR

          static final javax.xml.namespace.QName ATTR_PIE_COLOR

    - #### ATTR_PIE_CAPTION

          static final javax.xml.namespace.QName ATTR_PIE_CAPTION

    - #### TAG_HIDDEN_DATA

          static final javax.xml.namespace.QName TAG_HIDDEN_DATA

    - #### TAG_LEGEND

          static final javax.xml.namespace.QName TAG_LEGEND

    - #### ATTR_LEGEND_SPACING

          static final javax.xml.namespace.QName ATTR_LEGEND_SPACING

    - #### TAG_LEGEND_MARGIN

          static final javax.xml.namespace.QName TAG_LEGEND_MARGIN

    - #### ATTR_LEGEND_POS

          static final javax.xml.namespace.QName ATTR_LEGEND_POS

    - #### ATTR_MIN_TREE_DISTANCE

          static final javax.xml.namespace.QName ATTR_MIN_TREE_DISTANCE

    - #### ATTR_LEGEND_STYLE

          static final javax.xml.namespace.QName ATTR_LEGEND_STYLE

    - #### ATTR_TEXT_ORIENTATION

          static final javax.xml.namespace.QName ATTR_TEXT_ORIENTATION

    - #### ORIENT_UP

          static final java.lang.String ORIENT_UP

      See Also:
        Constant Field Values

    - #### ORIENT_DOWN

          static final java.lang.String ORIENT_DOWN

      See Also:
        Constant Field Values

    - #### ORIENT_HORIZONTAL

          static final java.lang.String ORIENT_HORIZONTAL

      See Also:
        Constant Field Values

    - #### PRE_LEGEND_ANCHOR

          static final java.lang.String PRE_LEGEND_ANCHOR

      See Also:
        Constant Field Values

    - #### ATTR_ANCHOR_0

          static final javax.xml.namespace.QName ATTR_ANCHOR_0

    - #### ATTR_ANCHOR_1

          static final javax.xml.namespace.QName ATTR_ANCHOR_1

    - #### STYLE_BRACE

          static final java.lang.String STYLE_BRACE

      See Also:
        Constant Field Values

    - #### STYLE_BRACKET

          static final java.lang.String STYLE_BRACKET

      See Also:
        Constant Field Values

    - #### TAG_SCALE_BAR

          static final javax.xml.namespace.QName TAG_SCALE_BAR

    - #### ATTR_SCALE_BAR_ALIGN

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_ALIGN

    - #### ALIGN_LEFT

          static final java.lang.String ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### ALIGN_RIGHT

          static final java.lang.String ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### ALIGN_TREE_WIDTH

          static final java.lang.String ALIGN_TREE_WIDTH

      See Also:
        Constant Field Values

    - #### ATTR_SCALE_BAR_DISTANCE

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_DISTANCE

    - #### ATTR_SCALE_BAR_WIDTH

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_WIDTH

    - #### BRANCH_LENGTH_UNITS

          static final java.lang.String BRANCH_LENGTH_UNITS

      See Also:
        Constant Field Values

    - #### MILLIMETERS

          static final java.lang.String MILLIMETERS

      See Also:
        Constant Field Values

    - #### ATTR_SCALE_BAR_HEIGHT

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_HEIGHT

    - #### ATTR_SCALE_BAR_SMALL_INTERVAL

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_SMALL_INTERVAL

    - #### ATTR_SCALE_BAR_LONG_INTERVAL

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_LONG_INTERVAL

    - #### ATTR_SCALE_BAR_START

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_START

    - #### ATTR_SCALE_BAR_INCREASE

          static final javax.xml.namespace.QName ATTR_SCALE_BAR_INCREASE

    - #### XTG_NAMESPACE_PREFIX

          static final java.lang.String XTG_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### XTG_DATA_TYPE_NAMESPACE

          static final java.lang.String XTG_DATA_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### DATA_TYPE_COLOR

          static final javax.xml.namespace.QName DATA_TYPE_COLOR

    - #### DATA_TYPE_LEGEND_STYLE

          static final javax.xml.namespace.QName DATA_TYPE_LEGEND_STYLE

    - #### DATA_TYPE_TEXT_ORIENTATION

          static final javax.xml.namespace.QName DATA_TYPE_TEXT_ORIENTATION

    - #### DATA_TYPE_SCALE_BAR_ALIGNMENT

          static final javax.xml.namespace.QName DATA_TYPE_SCALE_BAR_ALIGNMENT

    - #### DATA_TYPE_SCALE_VALUE

          static final javax.xml.namespace.QName DATA_TYPE_SCALE_VALUE

    - #### DATA_TYPE_PIE_CHART_LABEL_CAPTION_TYPE

          static final javax.xml.namespace.QName DATA_TYPE_PIE_CHART_LABEL_CAPTION_TYPE

    - #### DATA_TYPE_PIE_CHART_LABEL_CAPTION_LINK_TYPE

          static final javax.xml.namespace.QName DATA_TYPE_PIE_CHART_LABEL_CAPTION_LINK_TYPE

    - #### XTG_PREDICATE_NAMESPACE

          static final java.lang.String XTG_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### PREDICATE_MARGIN_LEFT

          static final javax.xml.namespace.QName PREDICATE_MARGIN_LEFT

    - #### PREDICATE_MARGIN_TOP

          static final javax.xml.namespace.QName PREDICATE_MARGIN_TOP

    - #### PREDICATE_MARGIN_RIGHT

          static final javax.xml.namespace.QName PREDICATE_MARGIN_RIGHT

    - #### PREDICATE_MARGIN_BOTTOM

          static final javax.xml.namespace.QName PREDICATE_MARGIN_BOTTOM

    - #### PREDICATE_TEXT

          static final javax.xml.namespace.QName PREDICATE_TEXT

    - #### PREDICATE_IS_DECIMAL

          static final javax.xml.namespace.QName PREDICATE_IS_DECIMAL

    - #### PREDICATE_TEXT_COLOR

          static final javax.xml.namespace.QName PREDICATE_TEXT_COLOR

    - #### PREDICATE_TEXT_HEIGHT

          static final javax.xml.namespace.QName PREDICATE_TEXT_HEIGHT

    - #### PREDICATE_TEXT_STYLE

          static final javax.xml.namespace.QName PREDICATE_TEXT_STYLE

    - #### PREDICATE_FONT_FAMILY

          static final javax.xml.namespace.QName PREDICATE_FONT_FAMILY

    - #### PREDICATE_DECIMAL_FORMAT

          static final javax.xml.namespace.QName PREDICATE_DECIMAL_FORMAT

    - #### PREDICATE_LOCALE_LANG

          static final javax.xml.namespace.QName PREDICATE_LOCALE_LANG

    - #### PREDICATE_LOCALE_COUNTRY

          static final javax.xml.namespace.QName PREDICATE_LOCALE_COUNTRY

    - #### PREDICATE_LOCALE_VARIANT

          static final javax.xml.namespace.QName PREDICATE_LOCALE_VARIANT

    - #### PREDICATE_LINE_COLOR

          static final javax.xml.namespace.QName PREDICATE_LINE_COLOR

    - #### PREDICATE_LINE_WIDTH

          static final javax.xml.namespace.QName PREDICATE_LINE_WIDTH

    - #### PREDICATE_GLOBAL_FORMATS

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS

    - #### PREDICATE_GLOBAL_FORMATS_BG_COLOR

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_BG_COLOR

    - #### PREDICATE_GLOBAL_FORMATS_BRANCH_LENGTH_SCALE

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_BRANCH_LENGTH_SCALE

    - #### PREDICATE_GLOBAL_FORMATS_SHOW_SCALE_BAR

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_SHOW_SCALE_BAR

    - #### PREDICATE_GLOBAL_FORMATS_SHOW_ROOTED

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_SHOW_ROOTED

    - #### PREDICATE_GLOBAL_FORMATS_ALIGN_TO_SUBTREE

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_ALIGN_TO_SUBTREE

    - #### PREDICATE_GLOBAL_FORMATS_POSITION_LABELS_TO_LEFT

          static final javax.xml.namespace.QName PREDICATE_GLOBAL_FORMATS_POSITION_LABELS_TO_LEFT

    - #### PREDICATE_DOCUMENT_MARGIN

          static final javax.xml.namespace.QName PREDICATE_DOCUMENT_MARGIN

    - #### PREDICATE_WIDTH

          static final javax.xml.namespace.QName PREDICATE_WIDTH

    - #### PREDICATE_HEIGHT

          static final javax.xml.namespace.QName PREDICATE_HEIGHT

    - #### PREDICATE_NODE_UNIQUE_NAME

          static final javax.xml.namespace.QName PREDICATE_NODE_UNIQUE_NAME

    - #### PREDICATE_EDGE_RADIUS

          static final javax.xml.namespace.QName PREDICATE_EDGE_RADIUS

    - #### PREDICATE_LEAF_MARGIN

          static final javax.xml.namespace.QName PREDICATE_LEAF_MARGIN

    - #### PREDICATE_BRANCH_CONSTANT_WIDTH

          static final javax.xml.namespace.QName PREDICATE_BRANCH_CONSTANT_WIDTH

    - #### PREDICATE_BRANCH_MIN_LENGTH

          static final javax.xml.namespace.QName PREDICATE_BRANCH_MIN_LENGTH

    - #### PREDICATE_BRANCH_MIN_SPACE_ABOVE

          static final javax.xml.namespace.QName PREDICATE_BRANCH_MIN_SPACE_ABOVE

    - #### PREDICATE_BRANCH_MIN_SPACE_BELOW

          static final javax.xml.namespace.QName PREDICATE_BRANCH_MIN_SPACE_BELOW

    - #### PREDICATE_INVISIBLE_DATA

          static final javax.xml.namespace.QName PREDICATE_INVISIBLE_DATA

    - #### PREDICATE_COLUMN_ID

          static final javax.xml.namespace.QName PREDICATE_COLUMN_ID

    - #### PREDICATE_LABEL_ABOVE

          static final javax.xml.namespace.QName PREDICATE_LABEL_ABOVE

    - #### PREDICATE_LABEL_LINE_NO

          static final javax.xml.namespace.QName PREDICATE_LABEL_LINE_NO

    - #### PREDICATE_LABEL_LINE_POS

          static final javax.xml.namespace.QName PREDICATE_LABEL_LINE_POS

    - #### PREDICATE_TEXT_LABEL

          static final javax.xml.namespace.QName PREDICATE_TEXT_LABEL

    - #### PREDICATE_ICON_LABEL

          static final javax.xml.namespace.QName PREDICATE_ICON_LABEL

    - #### PREDICATE_ICON_LABEL_ICON

          static final javax.xml.namespace.QName PREDICATE_ICON_LABEL_ICON

    - #### PREDICATE_ICON_LABEL_ICON_FILLED

          static final javax.xml.namespace.QName PREDICATE_ICON_LABEL_ICON_FILLED

    - #### PREDICATE_PIE_CHART_LABEL

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL

    - #### PREDICATE_PIE_CHART_LABEL_INTERNAL_LINES

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL_INTERNAL_LINES

    - #### PREDICATE_PIE_CHART_LABEL_NULL_LINES

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL_NULL_LINES

    - #### PREDICATE_PIE_CHART_LABEL_SHOW_TITLE

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL_SHOW_TITLE

    - #### PREDICATE_PIE_CHART_LABEL_CAPTION_TYPE

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL_CAPTION_TYPE

    - #### PREDICATE_PIE_CHART_LABEL_CAPTION_LINK_TYPE

          static final javax.xml.namespace.QName PREDICATE_PIE_CHART_LABEL_CAPTION_LINK_TYPE

    - #### PREDICATE_DATA_IDS

          static final javax.xml.namespace.QName PREDICATE_DATA_IDS

    - #### PREDICATE_DATA_ID

          static final javax.xml.namespace.QName PREDICATE_DATA_ID

    - #### PREDICATE_PIE_COLOR

          static final javax.xml.namespace.QName PREDICATE_PIE_COLOR

    - #### PREDICATE_PIE_CAPTION

          static final javax.xml.namespace.QName PREDICATE_PIE_CAPTION

    - #### PREDICATE_DATA_ID_VALUE

          static final javax.xml.namespace.QName PREDICATE_DATA_ID_VALUE

    - #### PREDICATE_LABEL_MARGIN

          static final javax.xml.namespace.QName PREDICATE_LABEL_MARGIN

    - #### PREDICATE_SCALE_BAR

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR

    - #### PREDICATE_SCALE_BAR_ALIGN

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_ALIGN

    - #### PREDICATE_SCALE_BAR_TREE_DISTANCE

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_TREE_DISTANCE

    - #### PREDICATE_SCALE_BAR_SMALL_INTERVAL

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_SMALL_INTERVAL

    - #### PREDICATE_SCALE_BAR_LONG_INTERVAL

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_LONG_INTERVAL

    - #### PREDICATE_SCALE_BAR_START_LEFT

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_START_LEFT

    - #### PREDICATE_SCALE_BAR_INCREASING

          static final javax.xml.namespace.QName PREDICATE_SCALE_BAR_INCREASING

    - #### PREDICATE_LEGEND

          static final javax.xml.namespace.QName PREDICATE_LEGEND

    - #### PREDICATE_LEGEND_ANCHOR_0

          static final javax.xml.namespace.QName PREDICATE_LEGEND_ANCHOR_0

    - #### PREDICATE_LEGEND_ANCHOR_1

          static final javax.xml.namespace.QName PREDICATE_LEGEND_ANCHOR_1

    - #### PREDICATE_LEGEND_POSITION

          static final javax.xml.namespace.QName PREDICATE_LEGEND_POSITION

    - #### PREDICATE_LEGEND_MIN_TREE_DISTANCE

          static final javax.xml.namespace.QName PREDICATE_LEGEND_MIN_TREE_DISTANCE

    - #### PREDICATE_LEGEND_SPACING

          static final javax.xml.namespace.QName PREDICATE_LEGEND_SPACING

    - #### PREDICATE_LEGEND_STYLE

          static final javax.xml.namespace.QName PREDICATE_LEGEND_STYLE

    - #### PREDICATE_LEGEND_ORIENTATION

          static final javax.xml.namespace.QName PREDICATE_LEGEND_ORIENTATION

    - #### PREDICATE_LEGEND_MARGIN

          static final javax.xml.namespace.QName PREDICATE_LEGEND_MARGIN

    - #### PREDICATE_NODE_BRANCH_DATA_ADAPTERS

          static final javax.xml.namespace.QName PREDICATE_NODE_BRANCH_DATA_ADAPTERS

    - #### PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER

          static final javax.xml.namespace.QName PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER

    - #### PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_NAME

          static final javax.xml.namespace.QName PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_NAME

    - #### PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_ID

          static final javax.xml.namespace.QName PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_ID

    - #### PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_PURPOSE

          static final javax.xml.namespace.QName PREDICATE_NODE_BRANCH_DATA_ADAPTERS_ADAPTER_PURPOSE